TransferCharacteristicType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface TransferCharacteristicType

-     public interface TransferCharacteristicType

  Implement this interface to access unique identifiers for kinds of opto-electronic transfer characteristics. This interface is also used to seed the define the extendible enumeration `TransferCharacteristicType`. Values of this type are used to specify digital image descriptors.

  For more details of the parameters of the transfer characteristics, see section 23.1 of the AAF object specification v1.1.

  See Also:
    `ExtendibleEnumerationItem`, `TypeDefinitionExtendibleEnumeration`, `PictureDescriptor.getTransferCharacteristic()`, `Warehouse.lookupExtendibleEnumeration(String)`, `TypeDefinitions.TransferCharacteristicType`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `_274M_296M` Transfer characteristics defined in SMPTE 274M and SMPTE 296M.
    `static AUID` | `ITU1361` Transfer characteristics defined in "Recommendation ITU-R BT.1361 Transfer Characteristic".
    `static AUID` | `ITU470_PAL` Transfer characteristic defined in "Recommendation ITU-R BT.470 PAL Transfer Characteristic" with an assumed display gamma of 2.8.
    `static AUID` | `ITU709` Transfer characteristics defined in "Recommendation ITU-R BT.709 Transfer Characteristic".
    `static AUID` | `linear` Linear transfer characteristics.
    `static AUID` | `SMPTE240M` Transfer characteristics defined in SMPTE 240M.

- - ### Field Detail

    - #### ITU470_PAL

          @ExtendibleEnumerationItem(target="TransferCharacteristic")
          static final AUID ITU470_PAL

      Transfer characteristic defined in "Recommendation ITU-R BT.470 PAL Transfer Characteristic" with an assumed display gamma of 2.8.

    - #### ITU709

          @ExtendibleEnumerationItem(target="TransferCharacteristic")
          static final AUID ITU709

      Transfer characteristics defined in "Recommendation ITU-R BT.709 Transfer Characteristic".

      Note that this identifier may also be used to identify SMPTE 170M, SMPTE 274M and SMPTE 296M transfer characteristics, which are defined to be the same as ITU-R BT.709.

    - #### SMPTE240M

          @ExtendibleEnumerationItem(target="TransferCharacteristic")
          static final AUID SMPTE240M

      Transfer characteristics defined in SMPTE 240M. Note that this identifier is included for legacy use only.

    - #### _274M_296M

          @ExtendibleEnumerationItem(target="TransferCharacteristic")
          static final AUID _274M_296M

      Transfer characteristics defined in SMPTE 274M and SMPTE 296M.

    - #### ITU1361

          @ExtendibleEnumerationItem(target="TransferCharacteristic")
          static final AUID ITU1361

      Transfer characteristics defined in "Recommendation ITU-R BT.1361 Transfer Characteristic".

    - #### linear

          @ExtendibleEnumerationItem(target="TransferCharacteristic")
          static final AUID linear

      Linear transfer characteristics.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.